freemarker.cache

## Interface ConcurrentCacheStorage

All Superinterfaces:
  CacheStorage

All Known Implementing Classes:
  NullCacheStorage, SoftCacheStorage, StrongCacheStorage

    public interface ConcurrentCacheStorage
    extends CacheStorage

An optional interface for cache storage that knows whether it can be concurrently accessible without synchronization.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isConcurrent()` Returns true if this instance of cache storage is concurrently accessible from multiple threads without synchronization.

### Methods inherited from interface freemarker.cache.CacheStorage

`clear, get, put, remove`

### Method Detail

#### isConcurrent

    boolean isConcurrent()

Returns true if this instance of cache storage is concurrently accessible from multiple threads without synchronization.

Returns:
  true if this instance of cache storage is concurrently accessible from multiple threads without synchronization.